Package org.apache.lucene.analysis.miscellaneous

# Class KeepWordFilter

java.lang.Object
org.apache.lucene.util.AttributeSource
org.apache.lucene.analysis.TokenStream
org.apache.lucene.analysis.TokenFilter
org.apache.lucene.analysis.FilteringTokenFilter
org.apache.lucene.analysis.miscellaneous.KeepWordFilter

All Implemented Interfaces:
  `Closeable`, `AutoCloseable`, `Unwrappable<TokenStream>`

public final class KeepWordFilter extends FilteringTokenFilter
A TokenFilter that only keeps tokens with text contained in the required words. This filter behaves like the inverse of StopFilter.

Since:
  solr 1.3

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.apache.lucene.util.AttributeSource

  `AttributeSource.State`

- ## Field Summary

  ### Fields inherited from class org.apache.lucene.analysis.TokenFilter

  `input`

  ### Fields inherited from class org.apache.lucene.analysis.TokenStream

  `DEFAULT_TOKEN_ATTRIBUTE_FACTORY`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `KeepWordFilter(TokenStream in, CharArraySet words)`
  Create a new `KeepWordFilter`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `accept()`

  ### Methods inherited from class org.apache.lucene.analysis.FilteringTokenFilter

  `end, incrementToken, reset`

  ### Methods inherited from class org.apache.lucene.analysis.TokenFilter

  `close, unwrap`

  ### Methods inherited from class org.apache.lucene.util.AttributeSource

  `addAttribute, addAttributeImpl, captureState, clearAttributes, cloneAttributes, copyTo, endAttributes, equals, getAttribute, getAttributeClassesIterator, getAttributeFactory, getAttributeImplsIterator, hasAttribute, hasAttributes, hashCode, reflectAsString, reflectWith, removeAllAttributes, restoreState, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### KeepWordFilter

    public KeepWordFilter(TokenStream in, CharArraySet words)
    Create a new `KeepWordFilter`.

    NOTE: The words set passed to this constructor will be directly used by this filter and should not be modified.

    Parameters:
      `in` - the `TokenStream` to consume
      `words` - the words to keep

- ## Method Details

  - ### accept

    public boolean accept()
    Specified by:
      `accept` in class `FilteringTokenFilter`